#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "zap0000six4xi.py">
#<abstract4xi abstract = "zaps to direction six"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'zap0000six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from zap0001six4xi import zap0001six4xi
from zap0010six4xi import zap0010six4xi
from zap0100six4xi import zap0100six4xi
from zap0200six4xi import zap0200six4xi
from zap0300six4xi import zap0300six4xi
from zap0400six4xi import zap0400six4xi
from zap0500six4xi import zap0500six4xi
from zap0600six4xi import zap0600six4xi
from zap0700six4xi import zap0700six4xi
from zap0800six4xi import zap0800six4xi
from zap0900six4xi import zap0900six4xi
from zap1000six4xi import zap1000six4xi
from zap1100six4xi import zap1100six4xi
from zap1200six4xi import zap1200six4xi
from zap1300six4xi import zap1300six4xi
from zap1400six4xi import zap1400six4xi
from zap1500six4xi import zap1500six4xi
from zap1600six4xi import zap1600six4xi
from zap1700six4xi import zap1700six4xi
from zap1800six4xi import zap1800six4xi
from zap1900six4xi import zap1900six4xi
from zap2000six4xi import zap2000six4xi
from zap2100six4xi import zap2100six4xi
from zap2200six4xi import zap2200six4xi
from zap2300six4xi import zap2300six4xi
from zap2400six4xi import zap2400six4xi
from zap2500six4xi import zap2500six4xi
from zap2600six4xi import zap2600six4xi
from zap2700six4xi import zap2700six4xi
from zap2800six4xi import zap2800six4xi
from zap2900six4xi import zap2900six4xi
from zap3000six4xi import zap3000six4xi
from zap3100six4xi import zap3100six4xi
from zap3200six4xi import zap3200six4xi
from zap3300six4xi import zap3300six4xi


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
    
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
ack2dragontrace = False
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "zap0000six4xi" usage = " 
#   p2six = Process4Xi(target=zap0000six4xi, args=(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel, Zap6KB4Xi))
#"> 
# -----------------------------------------------------------------------------------------------------
def zap0000six4xi(queue2six, pipe2six_consumer_channel, pipe2six_publisher_channel, kb2six):  
    '''
    zaps to direction SIX
    ''' 
    
    # -------------------------------------------------------------------------------------------------
    # SET OWN VARIABLES                   
    # -------------------------------------------------------------------------------------------------                                                               
    queue2work4six      = queue2six
    channel2consume4six = pipe2six_consumer_channel
    channel2publish4six = pipe2six_publisher_channel
    kb2try4six          = kb2six
    if ack2debug is True:
        print("\n (STEP 1A2/33) OF ZAP0000SIX4XI -  QUEUE2WORK4SIX: ", queue2work4six)                              #    
        print("\n (STEP 1A3/33) OF ZAP0000SIX4XI -  CHANNEL2CONSUME4SIX : ", channel2consume4six )                  # 
        print("\n (STEP 1A4/33) OF ZAP0000SIX4XI -  CHANNEL2PUBLISH4SIX: ", channel2publish4six)                    #          
        # print("\n (STEP 1A5/33) OF ZAP0000SIX4XI -  KB2TRY4SIX: ", kb2try4six)                                      # 
               
        
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4six = queue2work4six.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF ZAP0000SIX4XI - MESSAGE2QET4SIX GOT: ", message2qet4six) 
            # 
        
        if message2qet4six == "<copy4xi>copy2six</copy4xi>":
            message2put4six = "<roger4xi>roger2six</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF ZAP0000SIX4XI - SET MESSAGE2PUT4SIX TO: ", message2put4six) 
                # 
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF ZAP0000SIX4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4six)           
            message2put4six = "<negative4xi>negative2six</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF ZAP0000SIX4XI - SET MESSAGE2PUT4SIX TO: ", message2put4six)             
    except:
        message2put4six = "<negative4xi>negative2six</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF ZAP0000SIX4XI - TRYING TO PUT MESSAGE2PUT4SIX: ", message2put4six)
        #                              
    try:         
        queue2work4six.put(message2put4six) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF ZAP0000SIX4XI - PUT TO QUEUE2WORK4SIX: ", queue2work4six, ' MESSAGE2PUT4SIX: ', message2put4six)
            print('~' *33)
            # 
        
    except:
        print("(STEP 6c/33) OF ZAP0000SIX4XI *** FAILED TO PUT TO QUEUE2WORK4SIX: ", queue2work4six, ' MESSAGE2PUT4SIX: ', message2put4six)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF ZAP0000SIX4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4SIX: ", channel2consume4six)
        # 
    try:
        message2receive4six = channel2consume4six.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF ZAP0000SIX4XI - RECEIVED MESSAGE2RECEIVE4SIX: ", message2receive4six)
            # 
        
        if message2receive4six == "<copy4xi>copy2six</copy4xi>":
            message2send4six = "<roger4xi>roger2six</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF ZAP0000SIX4XI - SET MESSAGE2SEND4SIX: ", message2send4six)
                # 
        else:
            message2send4six = "<negative4xi>negative2six</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF ZAP0000SIX4XI - SET MESSAGE2SEND4SIX: ", message2send4six)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF ZAP0000SIX4XI - *** EXCEPTION WITH CHANNEL2CONSUME4SIX.RECV: ", channel2consume4six.recv) 
        message2send4six = "<negative4xi>negative2six</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF ZAP0000SIX4XI - SET MESSAGE2SEND4SIX: ", message2send4six)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF ZAP0000SIX4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4SIX: ", channel2publish4six)
        # 
    try:         
        channel2publish4six.send(message2send4six)
        if ack2debug is True:
            print("(STEP 8B/33) OF ZAP0000SIX4XI - SENT MESSAGE2SEND4SIX: ", message2send4six, " CHANNEL2PUBLISHER4SIX: ", channel2publish4six)
            # 
    except:
        print("(STEP 8C/33) OF ZAP0000SIX4XI - *** FAILED TO SEND MESSAGE2SEND4SIX: ", message2send4six, " CHANNEL2PUBLISHER4SIX: ", channel2publish4six) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF ZAP0000SIX4XI - CREATING A DUMMY PROCESS4XI")  
    
# ====  
# [02]
# ====        
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2six = DummyProcess4Xi(target=zap0001six4xi,   
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))
        if ack2debug is True:
            print("(STEP 9B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2SIX: ", dummy2six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2six.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2SIX: ", dummy2six)
            
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
                             
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10six = DummyProcess4Xi(target=zap0010six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                               
        if ack2debug is True:
            print("(STEP 10B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10SIX: ", dummy10six) 
            # 
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10six.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY10SIX: ", dummy10six)                     # <DummyProcess4Xi(Thread-177, started 4876)> 
                
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100six = DummyProcess4Xi(target=zap0100six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 100B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100SIX: ", dummy100six)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())
            # 
        ack2start = False
        try:      
            dummy100six.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY100SIX: ", dummy100six)
                #  
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200six = DummyProcess4Xi(target=zap0200six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 200B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200SIX: ", dummy200six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200six.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY200SIX: ", dummy200six)
                #         
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300six = DummyProcess4Xi(target=zap0300six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 300B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300SIX: ", dummy300six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300six.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY300SIX: ", dummy300six)
                # <DummyProcess4Xi(Thread-180, started 3576)>
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400six = DummyProcess4Xi(target=zap0400six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 400B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400SIX: ", dummy400six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400six.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY400SIX: ", dummy400six)
                # 
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500six = DummyProcess4Xi(target=zap0500six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 500B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500SIX: ", dummy500six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500six.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY500SIX: ", dummy500six)
                # 
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600six = DummyProcess4Xi(target=zap0600six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 600B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600SIX: ", dummy600six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600six.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY600SIX: ", dummy600six)
                # 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700six = DummyProcess4Xi(target=zap0700six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 700B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700SIX: ", dummy700six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700six.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY700SIX: ", dummy700six)
                # 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800six = DummyProcess4Xi(target=zap0800six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 800B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800SIX: ", dummy800six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800six.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY800SIX: ", dummy800six)
                # 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900six = DummyProcess4Xi(target=zap0900six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 900B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900SIX: ", dummy900six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900six.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY900SIX: ", dummy900six)
                # 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000six = DummyProcess4Xi(target=zap1000six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1000B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000SIX: ", dummy1000six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000six.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000SIX: ", dummy1000six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100six = DummyProcess4Xi(target=zap1100six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1100B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100SIX: ", dummy1100six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100six.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100SIX: ", dummy1100six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200six = DummyProcess4Xi(target=zap1200six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1200B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200SIX: ", dummy1200six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200six.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200SIX: ", dummy1200six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300six = DummyProcess4Xi(target=zap1300six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1300B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300SIX: ", dummy1300six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300SIX ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300six.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300SIX: ", dummy1300six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400six = DummyProcess4Xi(target=zap1400six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1400B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400SIX: ", dummy1400six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400six.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400SIX: ", dummy1400six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500six = DummyProcess4Xi(target=zap1500six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1500B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500SIX: ", dummy1500six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500six.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500SIX: ", dummy1500six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600six = DummyProcess4Xi(target=zap1600six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1600B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600SIX: ", dummy1600six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600SIX ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600six.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600SIX: ", dummy1600six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700six = DummyProcess4Xi(target=zap1700six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1700B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700SIX: ", dummy1700six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700SIX ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700six.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700SIX: ", dummy1700six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800six = DummyProcess4Xi(target=zap1800six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1800B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800SIX: ", dummy1800six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800SIX ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800six.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800SIX: ", dummy1800six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900six = DummyProcess4Xi(target=zap1900six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 1900B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900SIX: ", dummy1900six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900SIX ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900six.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900SIX: ", dummy1900six)
                # 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000six = DummyProcess4Xi(target=zap2000six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2000B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000SIX: ", dummy2000six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000SIX ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000six.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000SIX: ", dummy2000six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100six = DummyProcess4Xi(target=zap2100six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2100B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100SIX: ", dummy2100six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100SIX ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100six.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100SIX: ", dummy2100six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200six = DummyProcess4Xi(target=zap2200six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2200B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200SIX: ", dummy2200six)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200six.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200SIX: ", dummy2200six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300six = DummyProcess4Xi(target=zap2300six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2300B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300SIX: ", dummy2300six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300six.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300SIX: ", dummy2300six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400six = DummyProcess4Xi(target=zap2400six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2400B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400SIX: ", dummy2400six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400six.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400SIX: ", dummy2400six)
                # <DummyProcess4Xi(Thread-201, started 2056)>
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500six = DummyProcess4Xi(target=zap2500six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2500B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500SIX: ", dummy2500six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500six.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500SIX: ", dummy2500six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600six = DummyProcess4Xi(target=zap2600six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2600B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600SIX: ", dummy2600six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600six.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600SIX: ", dummy2600six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700six = DummyProcess4Xi(target=zap2700six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2700B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700SIX: ", dummy2700six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700six.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700SIX: ", dummy2700six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800six = DummyProcess4Xi(target=zap2800six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2800B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800SIX: ", dummy2800six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800six.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800SIX: ", dummy2800six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900six = DummyProcess4Xi(target=zap2900six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 2900B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900SIX: ", dummy2900six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900six.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900SIX: ", dummy2900six)
                # 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000six = DummyProcess4Xi(target=zap3000six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 3000B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000SIX: ", dummy3000six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000six.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000SIX: ", dummy3000six)
                # 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100six = DummyProcess4Xi(target=zap3100six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 3100B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100SIX: ", dummy3100six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100six.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100SIX: ", dummy3100six)
                # 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200six = DummyProcess4Xi(target=zap3200six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 3200B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200SIX: ", dummy3200six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200SIX ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200six.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200SIX: ", dummy3200six)
                #  
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300six = DummyProcess4Xi(target=zap3300six4xi, 
                                     args =(queue2work4six,
                                            channel2consume4six, channel2publish4six,
                                            kb2try4six))                             
        if ack2debug is True:
            print("(STEP 3300B/33) OF ZAP0000SIX4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300SIX: ", dummy3300six)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF ZAP0000SIX4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300SIX ***") 
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF ZAP0000SIX4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300six.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF ZAP0000SIX4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300SIX: ", dummy3300six)
                # STARTED THE DUMMY PROCESS4XI DUMMY3300SIX:  <DummyProcess4Xi(Thread-210, started 4868)> 
                
            ack2start = True
        except:
            print("(STEP 3300F/33) OF ZAP0000SIX4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF ZAP0000SIX4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                   
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF ZAP0000SIX4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 01:51:47 12/04/10 Pacific Standard Time 
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_zap2actor4xi.txt
#   scope-sense*4xi.xml
#   sense-test-zap2actor4xi.xml
#   reason-test-zap2actor4xi.xml
#   ace-test-zap2actor4xi4xi.xml

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap0000six4xi.py                            
# ------------------------------------------------------------------------------------------------- 
#"
#/>
